The Alternative Csound Reference Manual
Previous |  | Next

# sin

sin -- Performs a sine function.

## Description

Returns the sine of x (x in radians).

## Syntax

sin(x) (no rate restriction)

## Examples

Here is an example of the sin opcode. It uses the files sin.orc and sin.sco.

Example 1. Example of the sin opcode.

    /* sin.orc */
    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      irad = 25
      i1 = sin(irad)

      print i1
    endin
    /* sin.orc */

    /* sin.sco */
    ; Play Instrument #1 for one second.
    i 1 0 1
    e
    /* sin.sco */

Its output should include a line like this:

    instr 1:  i1 = -0.132

## See Also

cos, cosh, cosinv, sinh, sininv, tan, tanh, taninv

## Credits

Example written by Kevin Conder.

Previous | Home | Next
shaker | Up | sinh